Redmine - Defect #12138

Plain Text Emails are Html Escaped
2012-10-17 16:04 - Wyatt Barnett

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 2.04
Description

We are running redmine 2.0.4 in the following environment:

About your application's environment

Ruby version 1.8.7 (x86_64-1inux)
RubyGems version .15
Rack version

Rails version

Active Record version
Action Pack version

Active Resource version
Action Mailer version
Active Support version 0Bc
Middleware Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:
:Strategy::LocalCache: :Middleware:0x7£933e927768>, Rack::Runtime, Rack::MethodOverride, ActionDisp
atch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExcepti
ons, ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::Connec
tionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::Cookie
Store, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::Conditiona
1Get, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root /webapps/ncta-redmine/data/redmine
Environment production
Database adapter mysqgl

Database schema version 20120422150750

We recently upgraded to this from a very wonky redmine 1.2 setup. Most of our users actually just interface through email, but we've
noticed that the new version is automatically html escaping everything.

| think the fix is to modify the templates to add .html_safe where appropriate to the text templates. But there might be a more elegant
way as | can't claim to know much ruby nor rails.

Anyhow, please advise if there is a better way, I'm happy to submit a patch if not.

Related issues:
Is duplicate of Redmine - Defect #11355: Plain text notification emails conte... Closed

History

#1 - 2012-10-17 16:55 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Duplicate
This has been fixed with #11355 for 2.1.0.

#2 - 2012-10-17 17:19 - Wyatt Barnett

Thanks, my redmine-search-fu failed me.

2025-08-23 1/1



https://www.redmine.org/issues/11355
https://www.redmine.org/versions/47
http://www.tcpdf.org

